using Azure;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AipGateway.Data.Entities
{
    [Table("TB_AIP_LABEL")]
    public class TbAipLabel
    {
        [Key]
        public required int LabelId { get; set; }

        [StringLength(255)]
        public required string LabelGuid { get; set; }

        [StringLength(255)]
        public required string LabelName { get; set; }
        

        public required DateTime CreatedAt { get; set; }
        public required bool UseYn { get; set; }
        
        [StringLength(512)]
        public string? LabelDesc { get; set; }
        public DateTime? DeletedAt { get; set; }

        public override string ToString()
        {
            return "TbAipLabel{ LabelId: " + LabelId + ", LabelGuid: " + LabelGuid + ", LabelName: " + LabelName + ", CreatedAt: " + CreatedAt + "}";
        }
    }
}
